<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>MapRasterTileSource (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapRasterTileSource (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":6,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapRasterTileSource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapProxyObject.Type.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.MapTileSystemHelper.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapRasterTileSource.html" target="_top">Frames</a></li>
<li><a href="MapRasterTileSource.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class MapRasterTileSource" class="title">Class MapRasterTileSource</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.MapRasterTileSource</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/UrlMapRasterTileSourceBase.html" title="class in com.here.android.mpa.mapping">UrlMapRasterTileSourceBase</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">MapRasterTileSource</span>
extends java.lang.Object</pre>
<div class="block">Represents an interface for a map raster tile source, used to render custom tile images on top of
 a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.
 <p>
 Default attribute values are as follows:
 </p>

 <pre>
 
  Overlay type:      RasterTileOverlayType.BACKGROUND_REPLACEMENT
  Transparency:      Transparency.TRANSPARENCY_ON
  Fallback:          Enabled
  Tile size:         256x256 pixels
  Valid zoom levels: 0-20 (all zoom levels)
  Bounding area:     Top-Left coordinate: (-180.0, 90.0), Bottom-Right coordinate: (179.99, -90.0)
 
 </pre>
 <p>
 Note: the currently supported pixel format for the tile images is RGBA.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.MapTileSystemHelper.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource.MapTileSystemHelper</a></span></code>
<div class="block">Represents a helper class for converting raster tile coordinates to other tile system values.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.TileResult.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource.TileResult</a></span></code>
<div class="block">Result class for getting tile.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.Transparency.html" title="enum in com.here.android.mpa.mapping">MapRasterTileSource.Transparency</a></span></code>
<div class="block">Represents values describing the state of raster tile image transparency.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected com.nokia.maps.MapRasterTileSourceImpl</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#m_impl">m_impl</a></span></code> </td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#MapRasterTileSource--">MapRasterTileSource</a></span>()</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#getBoundingArea--">getBoundingArea</a></span>()</code>
<div class="block">Gets the <code>GeoBoundingBox</code> representing the bounding area within which raster tiles are
 visible.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#getCacheExpiration--">getCacheExpiration</a></span>()</code>
<div class="block">Get the cache expiration time</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#getOverlayType--">getOverlayType</a></span>()</code>
<div class="block">Gets the raster tile overlay type.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#getTileSize--">getTileSize</a></span>()</code>
<div class="block">Gets the raster tile image size, in pixels.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.TileResult.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource.TileResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#getTileWithError-int-int-int-">getTileWithError</a></span>(int x,
                int y,
                int zoomLevel)</code>
<div class="block">Method to be overwritten by derived class to get a tile.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#getZIndex--">getZIndex</a></span>()</code>
<div class="block">Gets the current z-index (stacking order) of the <code>MapObject</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>abstract boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#hasTile-int-int-int-">hasTile</a></span>(int x,
       int y,
       int zoomLevel)</code>
<div class="block">Abstract method to be overwritten by derived class to check if a tile exists.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#hasTransparency--">hasTransparency</a></span>()</code>
<div class="block">Determines whether raster tile images have transparency enabled.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#hideAtZoomLevel-int-">hideAtZoomLevel</a></span>(int level)</code>
<div class="block">Hides tiles at the specified zoom level of the <code>Map</code>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#hideAtZoomRange-int-int-">hideAtZoomRange</a></span>(int beginZoomLevel,
               int endZoomLevel)</code>
<div class="block">Hides tiles within a given zoom level range of the <code>Map</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#isCachingEnabled--">isCachingEnabled</a></span>()</code>
<div class="block">Get whether tiles are cached to the file system</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#isFallbackEnabled--">isFallbackEnabled</a></span>()</code>
<div class="block">Get whether fallback enabled for this tile.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#isShownAtZoomLevel-int-">isShownAtZoomLevel</a></span>(int zoomLevel)</code>
<div class="block">Determines whether raster tiles are shown at the specified zoom level of the <code>Map</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setBoundingArea-com.here.android.mpa.common.GeoBoundingBox-">setBoundingArea</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> boundingBox)</code>
<div class="block">Sets a bounding area within which raster tiles are visible.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setCacheExpiration-int-">setCacheExpiration</a></span>(int expireSeconds)</code>
<div class="block">Set the cache expiration time</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setCachePrefix-java.lang.String-">setCachePrefix</a></span>(java.lang.String cache)</code>
<div class="block">Set the cache file prefix</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setCachingEnabled-boolean-">setCachingEnabled</a></span>(boolean enabled)</code>
<div class="block">Set whether tiles are cached to the file system.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setFallbackEnabled-boolean-">setFallbackEnabled</a></span>(boolean enabled)</code>
<div class="block">Specifies whether tiles from lower zoom levels can be rendered at the current zoom level
 in case a tile for the current zoom level is unavailable.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setOverlayType-com.here.android.mpa.mapping.MapOverlayType-">setOverlayType</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> newValue)</code>
<div class="block">Sets a <code>MapOverlayType</code> for the <code>MapRasterTileSource</code>.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setTileSize-int-">setTileSize</a></span>(int newValue)</code>
<div class="block">Sets a size, in pixels, for the raster tile image.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setTransparency-com.here.android.mpa.mapping.MapRasterTileSource.Transparency-">setTransparency</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.Transparency.html" title="enum in com.here.android.mpa.mapping">MapRasterTileSource.Transparency</a> value)</code>
<div class="block">Sets a <code>Transparency</code> state for raster tile image.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#setZIndex-int-">setZIndex</a></span>(int zIndex)</code>
<div class="block">Sets a z-index (stacking order) value for the <code>MapObject</code>.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#showAtZoomLevel-int-">showAtZoomLevel</a></span>(int level)</code>
<div class="block">Shows tiles at the specified zoom level of the <code>Map</code>.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#showAtZoomRange-int-int-">showAtZoomRange</a></span>(int beginZoomLevel,
               int endZoomLevel)</code>
<div class="block">Shows tiles within a given zoom level range of the <code>Map</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="m_impl">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_impl</h4>
<pre>protected com.nokia.maps.MapRasterTileSourceImpl m_impl</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MapRasterTileSource--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MapRasterTileSource</h4>
<pre>protected MapRasterTileSource()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setOverlayType-com.here.android.mpa.mapping.MapOverlayType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOverlayType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setOverlayType(<a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> newValue)</pre>
<div class="block">Sets a <code>MapOverlayType</code> for the <code>MapRasterTileSource</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newValue</code> - A <code>MapOverlayType</code> value representing the desired raster tile overlay type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getOverlayType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOverlayType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> getOverlayType()</pre>
<div class="block">Gets the raster tile overlay type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The raster tile overlay type, a <code>MapOverlayType</code> value</dd>
</dl>
</li>
</ul>
<a name="setTransparency-com.here.android.mpa.mapping.MapRasterTileSource.Transparency-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransparency</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setTransparency(<a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.Transparency.html" title="enum in com.here.android.mpa.mapping">MapRasterTileSource.Transparency</a> value)</pre>
<div class="block">Sets a <code>Transparency</code> state for raster tile image.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - A <code>Transparency</code> value representing the desired raster tile image
            transparency</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="hasTransparency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasTransparency</h4>
<pre>public boolean hasTransparency()</pre>
<div class="block">Determines whether raster tile images have transparency enabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if raster tile images are set to <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.Transparency.html#ON"><code>Transparency.TRANSPARENCY_ON</code></a>, false otherwise</dd>
</dl>
</li>
</ul>
<a name="setTileSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTileSize</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setTileSize(int newValue)</pre>
<div class="block">Sets a size, in pixels, for the raster tile image.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newValue</code> - Desired size of the raster tile image</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getTileSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTileSize</h4>
<pre>public int getTileSize()</pre>
<div class="block">Gets the raster tile image size, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The size of the raster tile image</dd>
</dl>
</li>
</ul>
<a name="setBoundingArea-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoundingArea</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setBoundingArea(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> boundingBox)</pre>
<div class="block">Sets a bounding area within which raster tiles are visible.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>boundingBox</code> - A <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> representing
            the bounding area of visible raster tiles</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getBoundingArea--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingArea</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> getBoundingArea()</pre>
<div class="block">Gets the <code>GeoBoundingBox</code> representing the bounding area within which raster tiles are
 visible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The raster tile bounding area</dd>
</dl>
</li>
</ul>
<a name="hideAtZoomLevel-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hideAtZoomLevel</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> hideAtZoomLevel(int level)</pre>
<div class="block">Hides tiles at the specified zoom level of the <code>Map</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>level</code> - Zoom level at which tiles are to be hidden (see <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxZoomLevel--"><code>Map.getMaxZoomLevel()</code></a> and <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinZoomLevel--"><code>Map.getMinZoomLevel()</code></a> to
            retrieve the supported zoom level range)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="showAtZoomLevel-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showAtZoomLevel</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> showAtZoomLevel(int level)</pre>
<div class="block">Shows tiles at the specified zoom level of the <code>Map</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>level</code> - Zoom level at which tiles are to be shown (see <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxZoomLevel--"><code>Map.getMaxZoomLevel()</code></a> and <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinZoomLevel--"><code>Map.getMinZoomLevel()</code></a> to
            retrieve the supported zoom level range).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="hideAtZoomRange-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hideAtZoomRange</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> hideAtZoomRange(int beginZoomLevel,
                                           int endZoomLevel)</pre>
<div class="block">Hides tiles within a given zoom level range of the <code>Map</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>beginZoomLevel</code> - Zoom level representing the beginning of the range within which tiles are to be
            hidden (see <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxZoomLevel--"><code>Map.getMaxZoomLevel()</code></a> and <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinZoomLevel--"><code>Map.getMinZoomLevel()</code></a> to
            retrieve the supported zoom level range).</dd>
<dd><code>endZoomLevel</code> - Zoom level representing the end of the range within which tiles are to be hidden</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself (see <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxZoomLevel--"><code>Map.getMaxZoomLevel()</code></a> and <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinZoomLevel--"><code>Map.getMinZoomLevel()</code></a> to
            retrieve the supported zoom level range).</dd>
</dl>
</li>
</ul>
<a name="showAtZoomRange-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showAtZoomRange</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> showAtZoomRange(int beginZoomLevel,
                                           int endZoomLevel)</pre>
<div class="block">Shows tiles within a given zoom level range of the <code>Map</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>beginZoomLevel</code> - Zoom level representing the beginning of the range within which tiles are to be
            shown (see <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxZoomLevel--"><code>Map.getMaxZoomLevel()</code></a> and <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinZoomLevel--"><code>Map.getMinZoomLevel()</code></a> to
            retrieve the supported zoom level range).</dd>
<dd><code>endZoomLevel</code> - Zoom level representing the end of the range within which tiles are to be shown</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself (see <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxZoomLevel--"><code>Map.getMaxZoomLevel()</code></a> and <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinZoomLevel--"><code>Map.getMinZoomLevel()</code></a> to
            retrieve the supported zoom level range).</dd>
<dt><span class="simpleTagLabel">Note:</span></dt>
<dd>By default, tiles are shown for all zoom levels. Use <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html#hideAtZoomRange-int-int-"><code>MapRasterTileSource.hideAtZoomRange(int, int)</code></a>
 to hide tiles on unnecessary zoom levels.</dd>
</dl>
</li>
</ul>
<a name="isShownAtZoomLevel-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isShownAtZoomLevel</h4>
<pre>public boolean isShownAtZoomLevel(int zoomLevel)</pre>
<div class="block">Determines whether raster tiles are shown at the specified zoom level of the <code>Map</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>zoomLevel</code> - Zoom level to check for raster tile visibility (see <a href="../../../../../com/here/android/mpa/mapping/Map.html#getZoomLevel--"><code>Map.getZoomLevel()</code></a> to retrieve the current zoom level of the
            <code>Map</code>).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if raster tiles are shown at the specified zoom level, false otherwise</dd>
</dl>
</li>
</ul>
<a name="setCachingEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCachingEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setCachingEnabled(boolean enabled)</pre>
<div class="block">Set whether tiles are cached to the file system.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - True to cache, False otherwise</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="isCachingEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCachingEnabled</h4>
<pre>public boolean isCachingEnabled()</pre>
<div class="block">Get whether tiles are cached to the file system</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True of tiles are cached. False otherwise.</dd>
</dl>
</li>
</ul>
<a name="setCachePrefix-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCachePrefix</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setCachePrefix(java.lang.String cache)</pre>
<div class="block">Set the cache file prefix</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cache</code> - Prefix tag</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="setCacheExpiration-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCacheExpiration</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setCacheExpiration(int expireSeconds)</pre>
<div class="block">Set the cache expiration time</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>expireSeconds</code> - Expire time in seconds</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="getCacheExpiration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCacheExpiration</h4>
<pre>public int getCacheExpiration()</pre>
<div class="block">Get the cache expiration time</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Expire time in seconds</dd>
</dl>
</li>
</ul>
<a name="getZIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getZIndex</h4>
<pre>public int getZIndex()</pre>
<div class="block">Gets the current z-index (stacking order) of the <code>MapObject</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current ordinal z-index number</dd>
</dl>
</li>
</ul>
<a name="setZIndex-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setZIndex</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setZIndex(int zIndex)</pre>
<div class="block">Sets a z-index (stacking order) value for the <code>MapObject</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>zIndex</code> - A new z-index value for the <code>MapObject</code>, a 16-bit <code>int</code> within the
            range of [0..655xx]</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="setFallbackEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFallbackEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a> setFallbackEnabled(boolean enabled)</pre>
<div class="block">Specifies whether tiles from lower zoom levels can be rendered at the current zoom level
 in case a tile for the current zoom level is unavailable.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - True to enable fallback, False otherwise.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>MapRasterTileSource</code> itself.</dd>
</dl>
</li>
</ul>
<a name="isFallbackEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFallbackEnabled</h4>
<pre>public boolean isFallbackEnabled()</pre>
<div class="block">Get whether fallback enabled for this tile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if fallback enabled, False otherwise.</dd>
</dl>
</li>
</ul>
<a name="hasTile-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasTile</h4>
<pre>public abstract boolean hasTile(int x,
                                int y,
                                int zoomLevel)</pre>
<div class="block">Abstract method to be overwritten by derived class to check if a tile exists.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X coordinate</dd>
<dd><code>y</code> - Y coordinate</dd>
<dd><code>zoomLevel</code> - zoom level</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the tile exists, false otherwise</dd>
</dl>
</li>
</ul>
<a name="getTileWithError-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTileWithError</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.TileResult.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource.TileResult</a> getTileWithError(int x,
                                                       int y,
                                                       int zoomLevel)</pre>
<div class="block">Method to be overwritten by derived class to get a tile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X coordinate</dd>
<dd><code>y</code> - Y coordinate</dd>
<dd><code>zoomLevel</code> - zoom level</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>TileResult</code> representing tile data and operation error. Check
         <code>TileResult#getError()</code> to check for error. Check <code>TileResult#getData()</code>
         to get RasterTile</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapRasterTileSource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapProxyObject.Type.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.MapTileSystemHelper.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapRasterTileSource.html" target="_top">Frames</a></li>
<li><a href="MapRasterTileSource.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
